﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Reporting;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Infragistics.Documents.Excel;
using System.Diagnostics;

namespace Test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable table { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            table = new DataTable();
            table.Columns.Add("Dosage", typeof(bool));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(true, "Indocinnnnnnn", "David", DateTime.Now);
            table.Rows.Add(false, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(false, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(false, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(true, "Dilantin", "Melanie", DateTime.Now);

            DataContext = table.DefaultView;
        }

        bool isFirst = true;

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();
            exporter.ExportStarted += new EventHandler<ExportStartedEventArgs>(exporter_ExportStarted);
            exporter.ExportEnded += new EventHandler<ExportEndedEventArgs>(exporter_ExportEnded);
            exporter.Export(xamDataGrid1, "TEST.xlsx",WorkbookFormat.Excel2007);
            Process.Start("TEST.xlsx");
        }

        void exporter_ExportStarted(object sender, ExportStartedEventArgs e)
        {
            if (isFirst)
            {
                e.CurrentWorksheet.Rows[2].Cells[0].Value = "Name of the company (xyz)….";
                e.CurrentWorksheet.Rows[2].Cells[0].CellFormat.Font.Bold = ExcelDefaultableBoolean.True;

                e.CurrentWorksheet.Rows[4].Cells[0].Value = "Order No :-";
                e.CurrentWorksheet.Rows[4].Cells[0].CellFormat.Font.Height = 220;
                e.CurrentWorksheet.Rows[4].Cells[0].CellFormat.Indent = 1;
                e.CurrentWorksheet.Rows[4].Cells[0].CellFormat.Font.Bold = ExcelDefaultableBoolean.True;

                e.CurrentWorksheet.Rows[4].Cells[5].Value = "Recived Date :";
                e.CurrentWorksheet.Rows[4].Cells[5].CellFormat.Font.Bold = ExcelDefaultableBoolean.True;
                e.CurrentWorksheet.Rows[4].Cells[5].CellFormat.Indent = 2;

                e.CurrentWorksheet.Rows[7].Cells[0].Value = "Note:-";
                e.CurrentWorksheet.Rows[7].Cells[0].CellFormat.Font.Bold = ExcelDefaultableBoolean.True;

                e.CurrentRowIndex += 8;
            }
            isFirst = false;
        }

        void exporter_ExportEnded(object sender, ExportEndedEventArgs e)
        {
            isFirst = true;
        }
        
    }

}
